Summary: A GTK-- ICQ2000 client program.
Name: ickle
Version: 0.3.1
Release: fr1
License: GPL
Group: Applications/Communications
Source: http://prdownloads.sourceforge.net/ickle/ickle-%{version}.tar.bz2
URL: http://ickle.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gtkmm-devel, libstdc++-devel, libsigc++-devel
BuildRequires: libicq2000-devel = %{version}

%description
This is an ICQ2000 compatible client, it supports message sending/receiving,
URL sending/receiving, SMS sending/receiving (including delivery reports),
status changes and fetching basic user info off server.


%package common
Summary: Files shared by the standalone GTK and GNOME applet versions of ickle.
Group: Applications/Communications
Requires: gtkmm >= 1.2.5, libstdc++ >= 1.0.0, libsigc++ >= 1.0.0
Requires: libicq2000 = %{version}

%description common
This is an ICQ2000 compatible client, it supports message sending/receiving,
URL sending/receiving, SMS sending/receiving (including delivery reports),
status changes and fetching basic user info off server.

You need to install ths package in order to use either the standalone GTK or
the GNOME applet version of the ickle ICQ client.


%package gnome
Summary: The GNOME applet version of the ickle ICQ client.
Group: Applications/Communications
Requires: %{name}-common = %{version}, gnome-core
Obsoletes: ickle <= 0.3.0

%description gnome
This is an ICQ2000 compatible client, it supports message sending/receiving,
URL sending/receiving, SMS sending/receiving (including delivery reports),
status changes and fetching basic user info off server.

This package provides the GNOME applet version of the ickle ICQ client. Note
that you will also need to install the common package to have it work.


%package gtk
Summary: The standalone GTK version of the ickle ICQ client.
Group: Applications/Communications
Requires: %{name}-common = %{version}

%description gtk
This is an ICQ2000 compatible client, it supports message sending/receiving,
URL sending/receiving, SMS sending/receiving (including delivery reports),
status changes and fetching basic user info off server.

This package provides the standalone GTK version of the ickle ICQ client.
Note that you will also need to install the common package to have it work.


%prep
%setup -q

%build
# First build the standalone version
%configure --disable-gtkmmtest --disable-libicq2000test --with-gnome=no
make
cp -a ickle/ickle ickle-nognome
# Clean up
make distclean
# And finally build the GNOME applet version
%configure --disable-gtkmmtest --disable-libicq2000test
make

%install
rm -rf %{buildroot}
%makeinstall
install -m 755 ickle-nognome %{buildroot}%{_bindir}/ickle

%clean
rm -rf %{buildroot}

%files common
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO scripts
%{_bindir}/ickle_control
%{_datadir}/ickle

%files gnome
%defattr(-, root, root)
%{_sysconfdir}/CORBA/servers/ickle_applet.gnorba
%{_bindir}/ickle_applet
%{_datadir}/applets/Network/ickle_applet.desktop

%files gtk
%defattr(-, root, root)
%{_bindir}/ickle

%changelog
* Sat Apr 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.1.

* Wed Apr 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.0.
- Split into -common, -gnome and -gtk packages.

* Sun Jan  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.2.

* Sun Dec 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.1.

* Thu Nov  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.0.

* Thu Nov  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- From the README : "This is the first release of ickle, so please be
  tolerant of bugs, and the lack of features. Given time ickle will grow
  bigger." -- and I agree ;-)

